Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class Credential.MD5

    java.lang.Object
      org.mortbay.jetty.security.Credential
          org.mortbay.jetty.security.Credential.MD5

Enclosing class:
  Credential

    public static class Credential.MD5

extends Credential

MD5 Credentials

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.security.Credential
`Credential.Crypt, Credential.MD5`

Field Summary
`static Object` | `__md5Lock`
`static String` | `__TYPE`

Method Summary
`boolean` | `check(Object credentials)` Check a credential
`static String` | `digest(String password)`
`byte[]` | `getDigest()`

Methods inherited from class org.mortbay.jetty.security.Credential
`getCredential`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __TYPE

    public static final String __TYPE

See Also:
  Constant Field Values

### __md5Lock

    public static final Object __md5Lock

Method Detail

### getDigest

    public byte[] getDigest()

### check

    public boolean check(Object credentials)

  Description copied from class: `Credential`
  Check a credential

  Specified by:
    `check` in class `Credential`
  Parameters:
    `credentials` - The credential to check against. This may either be another Credential object, a Password object or a String which is interpreted by this credential.
  Returns:
    True if the credentials indicated that the shared secret is known to both this Credential and the passed credential.

### digest

    public static String digest(String password)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.